# VerticalAlignment

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies how an object or text in a control is vertically aligned relative to an element of the control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum VerticalAlignment : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum VerticalAlignment As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name       | Description                                                         |
| ---------- | ------------------------------------------------------------------- |
| **Bottom** | The object or text is aligned on the bottom of the control element. |
| **Middle** | The object or text is aligned in the middle of the control element. |
| **Top**    | The object or text is aligned on the top of the control element.    |

## Used By

| Name                                                                                                                                                | Description                                                                                                                                                                                                                                                 |
| --------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [Control.LayoutChildren](/api/wisej.web/general/control.md#layoutchildren-dock-spacing-usemargins-halign-valign)                                    | Arranges all the child [Control](/api/wisej.web/general/control.md) using the specified *dock* style, spaced by *spacing* pixels.                                                                                                                           |
| [Control.ScrollControlIntoView](/api/wisej.web/general/control.md#scrollcontrolintoview-alignx-aligny)                                              | Scrolls the control into view in the container using the specified *alignX* and *alignY* preferences.                                                                                                                                                       |
| [ScrollableControl.ScrollControlIntoView](/api/wisej.web/containers/scrollablecontrol.md#scrollcontrolintoview-control)                             | Scrolls the specified child *control* into view. using the specified *alignX* and *alignY* preferences.                                                                                                                                                     |
| [FlexLayoutPanel.VerticalAlign](/api/wisej.web/containers/flexlayoutpanel.md#verticalalign)                                                         | Determines the vertical alignment of the child controls when [LayoutStyle](/api/wisej.web/containers/flexlayoutpanel.md#layoutstyle) is set to [Horizontal](/api/wisej.web/containers/flexlayoutpanel/wisej.web.flexlayoutstyle.md#fields).                 |
| [FlexLayoutPanel.GetAlignY](/api/wisej.web/containers/flexlayoutpanel.md#getaligny-control)                                                         | Determines the vertical alignment of the child control within the panel when [LayoutStyle](/api/wisej.web/containers/flexlayoutpanel.md#layoutstyle) is set to [Horizontal](/api/wisej.web/containers/flexlayoutpanel/wisej.web.flexlayoutstyle.md#fields). |
| [SlideBar.ScrollControlIntoView](/api/wisej.web/containers/wisej.web.slidebar.md#scrollcontrolintoview-control)                                     | Scrolls the specified child *control* into view. using the specified *alignY* preference.                                                                                                                                                                   |
| [ControlExtensions.ScrollControlIntoView](/api/wisej.web.markup/extensions/wisej.web.markup.controlextensions.md#scrollcontrolintoview-control)     | Scrolls the control into view within its parent container, aligning it according to the specified horizontal and vertical alignment.                                                                                                                        |
| [FlexLayoutPanelExtensions.VerticalAlign](/api/wisej.web.markup/extensions/wisej.web.markup.flexlayoutpanelextensions.md#verticalalign-panel-value) | Sets the vertical alignment of the specified [FlexLayoutPanel](/api/wisej.web/containers/flexlayoutpanel.md).                                                                                                                                               |
| [FlexLayoutPanelExtensions.AlignY](/api/wisej.web.markup/extensions/wisej.web.markup.flexlayoutpanelextensions.md#aligny-panel-control-value)       | Sets the vertical alignment for a specific control within the specified [FlexLayoutPanel](/api/wisej.web/containers/flexlayoutpanel.md).                                                                                                                    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/enumerations/wisej.web.verticalalignment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
